Bug 190052 - numeric columns aligned to the left
Summary: numeric columns aligned to the left
Status: RESOLVED FIXED
Alias: None
Product: akregator
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: unspecified Linux
: NOR wishlist (vote)
Target Milestone: ---
Assignee: kdepim bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-04-19 12:34 UTC by Mark Purcell
Modified: 2012-08-16 23:31 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 4.9.1


Attachments
Patch to set alignment for numeric columns to right (704 bytes, patch)
2012-08-16 10:07 UTC, Frank Steinmetzger
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mark Purcell 2009-04-19 12:34:45 UTC
Version:           1.4.2 (using 4.2.2 (KDE 4.2.2), Debian packages)
Compiler:          cc
OS:                Linux (i686) release 2.6.29-1-686

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=523742
523742@bugs.debian.org

From: "Mario R. Carro" <mcarro@gmx.net>
To: submit@bugs.debian.org
Subject: [akregator] numeric columns aligned to the left
Date: Sun, 12 Apr 2009 06:27:34 -0300

Package: akregator
Version: 4:4.2.2-1
Severity: minor

--- Please enter the report below this line. ---
The Unread and Total columns in the feeds treeview appear aligned to the 
left. They should be right aligned as they contain numeric data.

Thanks...

--- System information. ---
Architecture: i386
Kernel:       Linux 2.6.26-2-686

Debian Release: squeeze/sid
  500 unstable        www.debian-multimedia.org 
  500 unstable        debian.oregonstate.edu 
  500 oldstable       security.debian.org 

--- Package information. ---
Depends                       (Version) | Installed
=======================================-+-==============
kdebase-runtime            (>= 4:4.2.2) | 4:4.2.2-1
kdelibs5                   (>= 4:4.2.2) | 4:4.2.2-2
kdepimlibs5                (>= 4:4.2.2) | 4:4.2.2-1
libc6                        (>= 2.1.3) | 2.9-6
libgcc1                    (>= 1:4.1.1) | 1:4.3.3-7
libkdepim4                (= 4:4.2.2-1) | 4:4.2.2-1
libkontactinterfaces4     (= 4:4.2.2-1) | 4:4.2.2-1
libqt4-dbus                  (>= 4.4.3) | 4.4.3-2
libqt4-xml                   (>= 4.4.3) | 4.4.3-2
libqtcore4                   (>= 4.4.3) | 4.4.3-2
libqtgui4                    (>= 4.4.3) | 4.4.3-2
libstdc++6                   (>= 4.1.1) | 4.3.3-7
Comment 1 Frank Steinmetzger 2012-08-16 10:07:54 UTC
Created attachment 73232 [details]
Patch to set alignment for numeric columns to right

Here's a patch that puts the numbers back to the right, where they belong. It took me “only” 1½ hours to solve it. :)
Comment 2 Allen Winter 2012-08-16 23:31:18 UTC
Git commit a9e6cc0b3f5e1336dcb3a2598b2e2a2111d514b3 by Allen Winter.
Committed on 17/08/2012 at 01:26.
Pushed by winterz into branch 'master'.

Right-align the total and unread column counts in the subscriptionmodel.
Also size the columns to the contents as not to waste so much space.
Thanks for the patch Frank!

MERGE: 4.9
FIXED-IN: 4.9.1

M  +13   -0    akregator/src/subscriptionlistdelegate.cpp

http://commits.kde.org/kdepim/a9e6cc0b3f5e1336dcb3a2598b2e2a2111d514b3
Comment 3 Allen Winter 2012-08-16 23:31:56 UTC
Git commit 389a795869e942dc1a6cb23e075edbb47d954f7e by Allen Winter.
Committed on 17/08/2012 at 01:26.
Pushed by winterz into branch 'KDE/4.9'.

Right-align the total and unread column counts in the subscriptionmodel.
Also size the columns to the contents as not to waste so much space.
Thanks for the patch Frank!

MERGE: 4.9
FIXED-IN: 4.9.1
(cherry picked from commit a9e6cc0b3f5e1336dcb3a2598b2e2a2111d514b3)

M  +13   -0    akregator/src/subscriptionlistdelegate.cpp

http://commits.kde.org/kdepim/389a795869e942dc1a6cb23e075edbb47d954f7e